Module javafx.base
Package javafx.collections

# Interface MapChangeListener<K,V>

Type Parameters:
  `K` - the key element type
  `V` - the value element type

All Known Implementing Classes:
  `WeakMapChangeListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface MapChangeListener<K,V>
Interface that receives notifications of changes to an ObservableMap.

Since:
  JavaFX 2.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`MapChangeListener.Change<K,V>`
An elementary change done to an ObservableMap.

## Method Summary

Modifier and Type
Method
Description
`void`
`onChanged(MapChangeListener.Change<? extends K,? extends V> change)`
Called after a change has been made to an ObservableMap.

## Method Details

### onChanged

void onChanged(MapChangeListener.Change<? extends K,? extends V> change)
Called after a change has been made to an ObservableMap. This method is called on every elementary change (put/remove) once. This means, complex changes like keySet().removeAll(Collection) or clear() may result in more than one call of onChanged method.

Parameters:
  `change` - the change that was made